| Wireshark 4.7.3 The Wireshark network protocol analyzer

Loading...
Searching...
No Matches
Public Slots | Signals | Public Member Functions | Protected Member Functions | Friends | List of all members
TCPStreamDialog Class Reference

A dialog providing various graphical analyses of a TCP stream. More...

`#include <tcp_stream_dialog.h>`

Inheritance diagram for TCPStreamDialog:

## Public Slots
void | updateGraph ()
| Triggers an update of the graph data and display.

## Signals
void | goToPacket (int packet_num)
| Signal emitted to navigate to a specific packet in the main UI.

## Public Member Functions
| TCPStreamDialog (QWidget *parent, const CaptureFile &cf, tcp_graph_type graph_type=GRAPH_TSEQ_TCPTRACE)
| Constructs a new TCPStreamDialog.
| ~TCPStreamDialog ()
| Destroys the TCPStreamDialog.
Public Member Functions inherited from GeometryStateDialog
| GeometryStateDialog (QWidget *parent, Qt::WindowFlags f=Qt::Window)
| Constructs a new GeometryStateDialog with the specified parent and window flags.
| ~GeometryStateDialog ()
| Save the geometry and splitter state and then destroy the GeometryStateDialog.
void | setWindowModality (Qt::WindowModality windowModality)
| Sets the window modality for the dialog. On non-macOS platforms, this also sets the parent to ensure modal dialogs are always on top of their parent.

## Protected Member Functions
void | showEvent (QShowEvent *event) override
| Handles the show event for the dialog.
void | keyPressEvent (QKeyEvent *event) override
| Handles key press events within the dialog (e.g., zooming/panning shortcuts).
void | mousePressEvent (QMouseEvent *event) override
| Handles mouse press events on the graph.
void | mouseReleaseEvent (QMouseEvent *event) override
| Handles mouse release events on the graph.
Protected Member Functions inherited from GeometryStateDialog
void | loadGeometry (int width=0, int height=0, const QString &dialog_name=QString())
| Loads the geometry and splitter state for the dialog.
void | loadSplitterState (QSplitter *splitter=nullptr)
| Loads the state of a splitter for the dialog.

## Friends
class | GraphUpdater
| Friend class allowing access to private members.

## Detailed Description

A dialog providing various graphical analyses of a TCP stream.

## Constructor & Destructor Documentation

## ◆ TCPStreamDialog()

TCPStreamDialog::TCPStreamDialog | ( | QWidget * | parent,
|  | const CaptureFile & | cf,
|  | tcp_graph_type | graph_type = GRAPH_TSEQ_TCPTRACE )
| explicit

Constructs a new TCPStreamDialog.

Parameters

  parent | The parent widget.
  cf | The capture file containing the TCP stream.
  graph_type | The initial type of graph to display.

## Member Function Documentation

## ◆ goToPacket

void TCPStreamDialog::goToPacket | ( | int | packet_num | ) |
| signal

Signal emitted to navigate to a specific packet in the main UI.

Parameters

  packet_num | The target packet number.

## ◆ keyPressEvent()

void TCPStreamDialog::keyPressEvent | ( | QKeyEvent * | event | ) |
| override protected

Handles key press events within the dialog (e.g., zooming/panning shortcuts).

Parameters

  event | The key press event object.

## ◆ mousePressEvent()

void TCPStreamDialog::mousePressEvent | ( | QMouseEvent * | event | ) |
| override protected

Handles mouse press events on the graph.

Parameters

  event | The mouse press event object.

## ◆ mouseReleaseEvent()

void TCPStreamDialog::mouseReleaseEvent | ( | QMouseEvent * | event | ) |
| override protected

Handles mouse release events on the graph.

Parameters

  event | The mouse release event object.

## ◆ showEvent()

void TCPStreamDialog::showEvent | ( | QShowEvent * | event | ) |
| override protected

Handles the show event for the dialog.

Parameters

  event | The show event object.

The documentation for this class was generated from the following files:

- /builds/wireshark/wireshark/ui/qt/tcp_stream_dialog.h
- /builds/wireshark/wireshark/ui/qt/tcp_stream_dialog.cpp